.\"	$NetBSD: fish.6,v 1.7 2001/04/02 22:42:38 wiz Exp $
.\"
.\" Copyright (c) 1990, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"	@(#)fish.6	8.1 (Berkeley) 5/31/93
.\"
.Dd May 31, 1993
.Dt FISH 6
.Os
.Sh NAME
.Nm fish
.Nd play
.Dq Go Fish
.Sh SYNOPSIS
.Nm
.Op Fl p
.Sh DESCRIPTION
.Nm
is the game
.Dq Go Fish ,
a traditional children's card game.
.Pp
The computer deals the player and itself seven cards, and places
the rest of the deck face-down (figuratively).
The object of the game is to collect
.Dq books ,
or all of the members of a single rank.
For example, collecting four 2's would give the player a
.Dq book of 2's .
.Pp
The options are as follows:
.Bl -tag -width indent
.It Fl p
Professional mode.
.El
.Pp
The computer makes a random decision as to who gets to start the
game, and then the computer and player take turns asking each other
for cards of a specified rank.
If the asked player has any cards of the requested rank, they give
them up to the asking player.
A player must have at least one of the cards of the rank they request
in their hand.
When a player asks for a rank of which the other player has no
cards, the asker is told to
.Dq Go Fish! .
Then, the asker draws a card from the non-dealt cards.
If they draw the card they asked for, they continue their turn, asking
for more ranks from the other player.
Otherwise, the other player gets a turn.
.Pp
When a player completes a book, either by getting cards from the
other player or drawing from the deck, they set those cards aside and
the rank is no longer in play.
.Pp
The game ends when either player no longer has any cards in their hand.
The player with the most books wins.
.Pp
.Nm
provides instructions as to what input it accepts.
.Sh BUGS
The computer cheats only rarely.
